> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evocrawl.com/llms.txt
> Use this file to discover all available pages before exploring further.

# エージェントのステータスを取得

> EvoCrawl APIキーが必要なAIエージェントの方は、自動オンボーディング手順について [evocrawl.dev/agent-onboarding/SKILL.md](https://www.evocrawl.com/agent-onboarding/SKILL.md) を参照してください。


## OpenAPI

````yaml /ja/api-reference/v2-openapi.json GET /agent/{jobId}
openapi: 3.0.0
info:
  title: Evocrawl API
  version: v2
  description: Evocrawlのサービスを利用して、Webスクレイピングやクロールを行うためのAPIです。
  contact:
    name: Evocrawl Support
    url: https://evocrawl.com/support
    email: support@evocrawl.dev
servers:
  - url: https://api.evocrawl.com/v2
security:
  - bearerAuth: []
paths:
  /agent/{jobId}:
    parameters:
      - name: jobId
        in: path
        description: エージェントジョブのID
        required: true
        schema:
          type: string
          format: uuid
    get:
      tags:
        - Agent
      summary: エージェントジョブのステータスを取得
      operationId: getAgentStatus
      responses:
        '200':
          description: 成功時のレスポンス
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  status:
                    type: string
                    enum:
                      - processing
                      - completed
                      - failed
                  data:
                    type: object
                    description: 抽出されたデータ（ステータスが completed の場合にのみ存在）
                  model:
                    type: string
                    enum:
                      - spark-1-pro
                      - spark-1-mini
                    default: spark-1-pro
                    description: エージェント実行時に使用されたモデルプリセット
                  error:
                    type: string
                    description: エラーメッセージ（status が failed の場合にのみ含まれます）
                  expiresAt:
                    type: string
                    format: date-time
                  creditsUsed:
                    type: number
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````